.single-history .history-time{
    width: 80px;
    position: relative;
    text-transform: capitalize;
    margin-top: 10px;
    font-size: 12px;
    text-align: right;
    padding-right: 27px;
}
.history {
    position: relative;
    font-family: 'ProximaNova-Regular';
    font-size: 14px;
}
.single-history .history-detail{
    padding:10px;
    width: calc(100% - 80px);
    min-height: 40px;
    border-radius: 3px;
    background-color: #ffffff;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.03);
    position: relative;
}
.single-history.stop .history-detail,
.single-history .history-detail.no-back{
    background: transparent;
    box-shadow: none;
    line-height: 13px;
    padding-bottom: 0;
    padding-top: 0;
}
.agent-detail-box md-tabs.dashboard-tabs {
    background: #f5f7f9;
}
.single-history .history-detail .title{
    /*display: -webkit-box;*/
    /*-webkit-line-clamp: 2;*/
    /*-webkit-box-orient: vertical;*/
    /*overflow: hidden;*/
    /*text-overflow: ellipsis;*/
    line-height: 16px;
    margin-bottom: 4px;
}
.agent-detail-box .single-history.stop .history-detail span{
    display: block;
}
.agent-detail-box .single-history.stop .history-detail small{
    font-size: 12px;
    color: rgba(93, 96, 99, 0.7);
}
.agent-detail-box .single-history .history-detail span{
    font-family: ProximaNova-Semibold;
    font-size: 12px;
    text-align: left;
    color: #5d6063;
    letter-spacing: 0.4px;
}
.agent-detail-box .single-history .history-detail.no-back .title>span{
    background: transparent;
    border: none;
    display: inline;
    text-transform: capitalize;
    font-size: inherit;
    font-family: inherit;
    font-size: inherit;
    padding: 0;
    color: inherit;
    margin: 0;
    vertical-align: inherit;
    margin-right: 1px;
    letter-spacing: inherit;
}
.single-history .history-detail .title>span,
.agent-detail-box .single-history .history-detail .title>span{
    border-radius: 3px;
    border: solid 1px #979797;
    padding: 3px 7px 2px;
    margin-right: 5px;
    vertical-align: text-top;
    font-size: 11px;
    letter-spacing: 1.2px;
    text-transform: uppercase;
    font-family: 'ProximaNova-Semibold';
}
.single-history .history-detail .title>span.completed{
    background: #6cc64d !important;
    border-color: #6cc64d !important;
    color: #fff !important;
}
.single-history .history-detail .title>span.started{
    background: #1394ff !important;
    border-color: #1394ff !important;
    color: #fff !important;
}
.single-history .history-detail .title>span.checked{
    background: #006d88;
    border-color: #006d88;
    color: #fff;
}
.single-history .history-detail .title>span.accepted,
.single-history .history-detail .title>span.acknowledged{
    background: #ba68c8;
    border-color: #ba68c8;
    color: #fff;
}
.single-history .history-detail .title>span.signature{
    background: #f6bf00;
    border-color: #f6bf00;
    color: #fff;
}
.single-history .history-detail .title>span.note{
    background: #00497c;
    border-color: #00497c;
    color: #fff;
}
.single-history .history-detail .title>span.reached{
    background: #3f51b5;
    border-color: #3f51b5;
    color: #fff;
}
.single-history .history-detail .title>span.marked{
    background: #ff0000;
    border-color: #ff0000;
    color: #fff;
}
.single-history .history-detail .title>span.barcode{
    background: #00497c;
    border-color: #00497c;
    color: #fff;
}
/*.single-history .history-detail .title>span.completed{*/
/*background: #6cc64d;*/
/*border-color: #6cc64d;*/
/*color: #fff;*/
/*}*/
/*.single-history .history-detail .title>span.completed{*/
/*background: #6cc64d;*/
/*border-color: #6cc64d;*/
/*color: #fff;*/
/*}*/
/*.single-history .history-detail .title>span.completed{*/
/*background: #6cc64d;*/
/*border-color: #6cc64d;*/
/*color: #fff;*/
/*}*/
.single-history .history-detail:before,
.agent-timeline .single-history .history-detail:after{
    content: '';
    position: absolute;
    left: -20px;
    top: 13px;
    width: 12px;
    z-index: 3;
    height: 12px;
    background-color: #ffffff;
    border: solid 4px #1394ff;
    border-radius: 20px;
    transition: box-shadow 0.2s ease-in-out;
}
.single-history.stop .history-detail:before,
.single-history .history-detail.no-back:before{
    border: none;
    width: 6px;
    height: 6px;
    background: #1394ff;
    left: -17px;
}
.single-history .history-detail:after,
.agent-timeline .single-history .history-detail:before{
    content: '';
    position: absolute;
    left: -15px;
    top: 18px;
    z-index: 1;
    height: calc(100% + 8px);
    width: 2px;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.16) 33%, rgba(255,255,255,0) 0%);
    background-position: left;
    background-size: 2px 6px;
    background-repeat: repeat-y;
    border-radius: 20px;
}
.agent-timeline .single-history .history-detail:before{
    top: auto;
    bottom:18px;
    border: none;
}
.agent-timeline .single-history .history-detail:after{
    bottom: 13px;
    top: auto;
}
.agent-timeline .single-history .history-detail:after{
    background-image: none;
}
.agent-timeline .single-history .history-detail:before{
    background-image: linear-gradient(to bottom, #1394ff 33%, #1394ff 0%);
}
.single-history .history-detail.in-progress:after,
.single-history .history-detail.task:after,
.single-history.stop+.stop .history-detail:after,
.single-history.stop-point .history-detail:after{
    background-image: linear-gradient(to bottom, #1394ff 33%, #1394ff 0%);
}
.agent-timeline .single-agent-timeline .single-timeline.stop .history-detail:before,
.agent-timeline .single-agent-timeline .single-history.stop:not(.moving) .history-detail:before{
    background: transparent;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.16) 33%, rgba(255,255,255,0) 0%);
    background-position: left;
    background-size: 2px 6px;
    background-repeat: repeat-y;
}
.task-timeline .single-history:last-child .history-detail:after,
.agent-timeline section.single-agent-timeline:first-of-type .single-history:first-child .history-detail:before{
    height:0;
    opacity:0;
}
.single-history .attachments,
.single-history .attachments a{
    color: inherit;
    font-family: ProximaNova-Semibold;
}
.single-history:not(.stop) .history-detail:not(.no-back):hover{
    box-shadow: 0 0 7px 2px rgba(0, 0, 0, 0.1);
    -webkit-transform: translateY(-1px);
    -moz-transform: translateY(-1px);
    -ms-transform: translateY(-1px);
    -o-transform: translateY(-1px);
    transform: translateY(-1px);
}
.single-history .history-detail:hover:before,
.agent-timeline .single-history .history-detail:hover:after{
    box-shadow: 0px 0px 0px 5px rgba(19, 148, 255, 0.14);
}
.agent-timeline .single-timeline.stop:hover .history-detail:before{
    box-shadow: 0px 0px 0px 2px rgba(175, 175, 175, 0.54);
}
.agent-timeline .single-timeline.moving:hover .history-detail:before{
    box-shadow: 0px 0px 0px 2px rgba(19, 148, 255, 0.54);
}
.single-history .history-detail.in-progress:hover:after,
.single-history .history-detail.task:hover:after,
.history .single-history.stop:not(.moving) .history-detail:after,
.single-timeline.task .history-detail:after{
    background-image: linear-gradient(to bottom, #1394ff 33%, #1394ff 0%);
}
#tasks-switch .agent-detail-box{
    background-color: #f5f7f9;
}
.agent-detail-box.detail-v3 .tab-pane{
    padding: 0 22px 60px;
}
.history .single-history{
    padding: 10px 0 2px;
}
.history .single-history .history-detail .task-id{
    font-size: 12px;
    color: #5d6063;
}
.history .single-history .address{
    font-size: 12px;
    color: rgba(93, 96, 99, 0.7);
    display: inline-block;
    width: 100%;
}
.history .single-history .address:hover,
.single-history .attachments:hover{
    color: #4695f6;
}
.history .history-agent{
    border-radius: 5px;
    margin: 10px 0;
    padding:15px;
    background-color: #ffffff;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.03);
}
.history .history-agent .tile-img{
    width:40px;
    height:40px;
    border-radius: 25px;
}
.history .history-agent .tile-img img{
    width:40px;
    height:40px;
    border-radius: 25px;
}
.history .single-history.in-transit .history-detail{
    line-height: 40px;
    cursor: pointer;
}
.history .single-history.in-transit .history-time,
.history .single-history.in-transit .history-detail:before{
    visibility: hidden;
}
.history .single-history.in-transit .history-detail:after{
    top: 13px;
    height: calc(100% + 12px);
}
.history .history-agent .tile-detail{
    width: calc(100% - 40px);
    padding-left: 14px;
}
.history .history-agent .tile-heading{
    font-size: 16px;
    color: #000;
}
.history .line{
    height: 1px;
    margin: 10px -24px;
    background: #e2e4e6;
    float: left;
    width: calc(100% + 48px);
}
.path-polyline {
    -webkit-filter: drop-shadow( -5px -5px 5px #000 );
    filter: drop-shadow( -5px -5px 5px #000 );
}
.timeline-marker{
    width: 25px;
    height: 25px;
    display: inline-block;
    background: rgb(255, 255, 255);
    border-radius: 25px;
    text-align: center;
    line-height: 22px;
}
.timeline-marker:hover{
    background: rgba(19, 148, 255, 0.65);
}
.timeline-marker .icon{
    width: 13px;
    height: 13px;
    display: inline-block;
    background: #fff;
    border-radius: 20px;
    position: relative;
    z-index:10;
    -webkit-transition: box-shadow .2s;
    -moz-transition: box-shadow .2s;
    -ms-transition: box-shadow .2s;
    -o-transition: box-shadow .2s;
    transition: box-shadow .2s;
}
.timeline-marker[class*="stop"]{
    background: #1394ff;
}
.timeline-marker:hover .icon,
.timeline-marker.active .icon{
    /*width: 16px;*/
    /*height: 16px;*/
    box-shadow: 0px 0px 0px 8px rgba(19, 148, 255, 0.45);
    animation-name: pulse;
    animation-duration: 1s;
    animation-delay: 1s;
    animation-fill-mode: both;
    animation-iteration-count: infinite;
}
.timeline-marker .dot {
    position: absolute;
    height: 80px;
    width: 80px;
    top: -33px;
    left: -33px;
    z-index: 2;
    opacity: 0;
    background: rgb(19, 148, 255);
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
}
.timeline-marker:hover .dot,
.timeline-marker.active .dot{
    opacity: 0;
    animation: pulsate 2400ms ease-out infinite;
    animation-delay: .2s;
}
.history.agent-timeline{
    padding: 20px 10px 115px 8px;
}
.history .agent-timeline-info{
    text-align: center;
    border-radius: 5px;
    background-color: #ffffff;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.03);
    margin-bottom: 11px;
}
.history .agent-timeline-info>div{
    padding: 7px 0px;
}
.history .agent-timeline-info .heading{
    background-color: rgba(234, 237, 240, 0.52);
    color: rgba(93, 96, 99, 0.75);
    font-size:12px;
}
.history .agent-timeline-cutomization{
    margin-top: 16px;
    padding: 10px 0 5px;
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
}
.history .agent-timeline-cutomization label{
    cursor: pointer;
}
.agent-path-playback .path-play-line{
    height: 4px;
    width: 100%;
    position: absolute;
    left: 0;
    top: -4px;
    display: block;
    overflow: hidden;
}
.agent-path-playback .path-play-line span{
    background: #1394ff;
    height: 4px;
    display: block;
    float: left;
}
.agent-path-playback .path-play-line span.stop{
    background: #cbd1db;
}

.optimize-foot.show-path{
    height: 60px;
    line-height: 66px;
}
.path-playback{
    padding: 0 20px;
    line-height: 60px;
    height: 60px;
    position: relative;
}
.path-playback .toggler{
    position: absolute;
    width: 25px;
    height: 25px;
    margin: 0 auto;
    left: 0;
    right: 0;
    background: #fff;
    line-height: 25px;
    top: -12.5px;
    border-radius: 20px;
    font-size: 11px;
    box-shadow: 0 -2px 1px rgba(134, 134, 134, 0.25);
    cursor: pointer;
}
.path-playback .play-option{
    line-height: 58px;
    color: #cbd1db;
}
.path-playback .play-option img:first-child{
    width: 8px !important;
}
.path-playback .play .material-icons{
    font-size: 42px;
    cursor: pointer;
    vertical-align: middle;
}
.path-playback .play .material-icons:hover{
    text-shadow: 0 0 10px rgba(51, 51, 51, 0.09);
}
.path-playback input{
    display: inline-block;
    width: 50%;
    vertical-align: middle;
    margin: 0 7px;
}
.agent-path-playback.path-playback{
    position: absolute;
    bottom: 0;
    background: #fff;
    box-shadow: 0 -4px 4px rgba(51, 51, 51, 0.11);
}